Bug 160730 - [UPDATE] x11-wm/xfce4 update pkg-descr
Summary: [UPDATE] x11-wm/xfce4 update pkg-descr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-xfce (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-14 13:00 UTC by Ryusuke SUZUKI
Modified: 2011-10-29 17:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryusuke SUZUKI freebsd_committer 2011-09-14 13:00:24 UTC
The name of Xfce is capitalized as "Xfce", not as "XFce".

Fix: 

See patch.
Comment 1 Edwin Groothuis freebsd_committer 2011-09-14 13:00:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ryusuke SUZUKI freebsd_committer 2011-09-14 13:18:36 UTC
----Security_Multipart(Wed_Sep_14_21_18_36_2011_186)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Sorry, it seems that patch was not attached.

--- pkg-descr.orig	2011-09-14 20:40:48.000000000 +0900
+++ pkg-descr	2011-09-14 20:41:07.000000000 +0900
@@ -1,8 +1,8 @@
-XFce is an easy-to-use and easy-to-configure environment for X11 released
+Xfce is an easy-to-use and easy-to-configure environment for X11 released
 under the terms of the GNU/GPL license, based on GTK+, with pulldown menus
 and color icons, 3D widgets, etc.

-XFce features now a set of applications including a powerful Window Manager
+Xfce features now a set of applications including a powerful Window Manager
 xfwm, a toolbar/application launcher, a backdrop manager, a system sound
 manager for X11, a user friendly  interface for mouse configuration, a
 pager providing a miniature view of all XFce desktops, a clock/calendar

----Security_Multipart(Wed_Sep_14_21_18_36_2011_186)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (FreeBSD)

iEYEABECAAYFAk5wm5wACgkQG5rRvmPSlyTKggCgxhCENKw2L/3G275ICc8UQFFM
1qUAoMEjya8eoIS2juVunPfQ3IsBz7Dw
=opt3
-----END PGP SIGNATURE-----

----Security_Multipart(Wed_Sep_14_21_18_36_2011_186)----
Comment 3 R.Mahmatkhanov 2011-09-14 19:33:59 UTC
Ryusuke SUZUKI wrote on 14.09.2011 15:53:
>> Number:         160730
>> Category:       ports
>> Synopsis:       [UPDATE] x11-wm/xfce4 update pkg-descr
>> Confidential:   no
>> Severity:       non-critical
>> Priority:       low
>> Responsible:    freebsd-ports-bugs
>> State:          open
>> Quarter:
>> Keywords:
>> Date-Required:
>> Class:          update
>> Submitter-Id:   current-users
>> Arrival-Date:   Wed Sep 14 12:00:24 UTC 2011
>> Closed-Date:
>> Last-Modified:
>> Originator:     Ryusuke SUZUKI
>> Release:        8.2-STABLE
>> Organization:
>> Environment:
>> Description:
> The name of Xfce is capitalized as "Xfce", not as "XFce".
>> How-To-Repeat:
>
>> Fix:
> See patch.
>
>> Release-Note:
>> Audit-Trail:
>> Unformatted:
> _______________________________________________

Hi, Ryusuke.
Looks like you forgot to attach the patch.


-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 Ryusuke SUZUKI freebsd_committer 2011-09-15 10:33:31 UTC
----Security_Multipart0(Thu_Sep_15_18_33_31_2011_792)--
Content-Type: Multipart/Mixed;
 boundary="--Next_Part(Thu_Sep_15_18_33_31_2011_097)--"
Content-Transfer-Encoding: 7bit

----Next_Part(Thu_Sep_15_18_33_31_2011_097)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

From: Ruslan Mahmatkhanov <cvs-src@yandex.ru>
Subject: Re: ports/160730: [UPDATE] x11-wm/xfce4 update pkg-descr
Date: Wed, 14 Sep 2011 22:33:59 +0400

> Ryusuke SUZUKI wrote on 14.09.2011 15:53:
> >> Number:         160730
> >> Category:       ports
> >> Synopsis:       [UPDATE] x11-wm/xfce4 update pkg-descr
> >> Confidential:   no
> >> Severity:       non-critical
> >> Priority:       low
> >> Responsible:    freebsd-ports-bugs
> >> State:          open
> >> Quarter:
> >> Keywords:
> >> Date-Required:
> >> Class:          update
> >> Submitter-Id:   current-users
> >> Arrival-Date:   Wed Sep 14 12:00:24 UTC 2011
> >> Closed-Date:
> >> Last-Modified:
> >> Originator:     Ryusuke SUZUKI
> >> Release:        8.2-STABLE
> >> Organization:
> >> Environment:
> >> Description:
> > The name of Xfce is capitalized as "Xfce", not as "XFce".
> >> How-To-Repeat:
> >
> >> Fix:
> > See patch.
> >
> >> Release-Note:
> >> Audit-Trail:
> >> Unformatted:
> > _______________________________________________
>
> Hi, Ryusuke.
> Looks like you forgot to attach the patch.

I am sorry...

I attached the patch. Please find it.

Ryusuke

----Next_Part(Thu_Sep_15_18_33_31_2011_097)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="xfce4.diff"

diff -ud xfce4.orig/Makefile xfce4/Makefile
--- xfce4.orig/Makefile	2011-09-15 18:28:32.000000000 +0900
+++ xfce4/Makefile	2011-09-15 18:28:23.000000000 +0900
@@ -13,7 +13,7 @@
 EXTRACT_ONLY=	# empty

 MAINTAINER=	oliver@FreeBSD.org
-COMMENT=	The "meta-port" for the XFce 4 desktop environment
+COMMENT=	The "meta-port" for the Xfce 4 desktop environment

 OPTIONS=	ICONS		"Install a full icon theme"		on  \
 		ORAGE		"Install the Xfce calendar application"	on  \
diff -ud xfce4.orig/pkg-descr xfce4/pkg-descr
--- xfce4.orig/pkg-descr	2011-09-14 20:40:48.000000000 +0900
+++ xfce4/pkg-descr	2011-09-15 18:27:45.000000000 +0900
@@ -1,11 +1,11 @@
-XFce is an easy-to-use and easy-to-configure environment for X11 released
+Xfce is an easy-to-use and easy-to-configure environment for X11 released
 under the terms of the GNU/GPL license, based on GTK+, with pulldown menus
 and color icons, 3D widgets, etc.

-XFce features now a set of applications including a powerful Window Manager
+Xfce features now a set of applications including a powerful Window Manager
 xfwm, a toolbar/application launcher, a backdrop manager, a system sound
 manager for X11, a user friendly  interface for mouse configuration, a
-pager providing a miniature view of all XFce desktops, a clock/calendar
+pager providing a miniature view of all Xfce desktops, a clock/calendar
 and at last but not least a filemanager, all sharing the same look'n feel.

 WWW: http://www.xfce.org/

----Next_Part(Thu_Sep_15_18_33_31_2011_097)----

----Security_Multipart0(Thu_Sep_15_18_33_31_2011_792)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (FreeBSD)

iEYEABECAAYFAk5xxmsACgkQG5rRvmPSlyR/rQCdEuDvdKTZhS1QB9sLy0MIwPI4
5bkAnjngKyzH+wUBNeqyydS7K3f88PoB
=Rrm3
-----END PGP SIGNATURE-----

----Security_Multipart0(Thu_Sep_15_18_33_31_2011_792)----
Comment 5 Oliver Lehmann freebsd_committer 2011-10-22 22:58:26 UTC
Responsible Changed
From-To: oliver->xfce

assign them to freshly created xfce@
Comment 6 Rene Ladan freebsd_committer 2011-10-26 21:27:40 UTC
State Changed
From-To: open->closed

Committed, thanks
Comment 7 dfilter service freebsd_committer 2011-10-26 21:27:40 UTC
rene        2011-10-26 20:27:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/xfce4-dev-tools Makefile 
    graphics/ristretto   Makefile 
    misc/xfce4-wm-themes Makefile pkg-descr 
    misc/xfce4-weather-plugin Makefile pkg-descr 
    sysutils/xfce4-cpugraph-plugin Makefile 
    sysutils/thunar-volman-plugin Makefile 
    sysutils/xfce4-power-manager Makefile pkg-descr 
    sysutils/garcon      Makefile 
    sysutils/xfce4-settings Makefile 
    sysutils/xfce4-utils Makefile 
    sysutils/xfce4-battery-plugin Makefile pkg-descr 
    sysutils/xfce4-fsguard-plugin Makefile 
    sysutils/xfce4-genmon-plugin Makefile 
    sysutils/xfce4-places-plugin Makefile 
    www/xfce4-smartbookmark-plugin Makefile 
    x11/xfce4-clipman-plugin Makefile pkg-descr 
    x11/libxfce4menu     Makefile pkg-descr 
    x11/libxfce4util     Makefile pkg-descr 
    x11/xfce4-conf       Makefile pkg-descr 
    x11/xfce4-quicklauncher-plugin Makefile 
    x11/xfce4-screenshooter-plugin Makefile 
    x11/xfce4-taskmanager Makefile pkg-descr 
    x11/xfce4-verve-plugin Makefile 
    x11/xfce4-wmdock-plugin Makefile pkg-descr 
    x11/xfce4-xfapplet-plugin Makefile 
    audio/xfce4-mixer    Makefile 
    audio/xfce4-mpc-plugin Makefile 
    editors/mousepad     Makefile 
    x11-toolkits/libxfce4gui Makefile pkg-descr 
    multimedia/xfce4-media Makefile 
    multimedia/xfce4-xmms-plugin Makefile pkg-descr 
    multimedia/xfmedia-remote-plugin Makefile pkg-descr 
    deskutils/orage      Makefile 
    deskutils/xfce4-notes-plugin Makefile pkg-descr 
    deskutils/xfce4-xkb-plugin Makefile 
    net-im/xfce4-messenger-plugin Makefile pkg-descr 
    print/xfce4-print    Makefile 
    x11-themes/lila-xfwm4 Makefile 
    x11-themes/gtk-xfce-engine Makefile pkg-descr 
    x11-wm/xfce4-desktop Makefile 
    x11-wm/xfce4-panel   Makefile 
    x11-wm/xfce4-wm      Makefile 
    x11-fm/thunar        Makefile 
    x11-clocks/xfce4-datetime-plugin Makefile pkg-descr 
    x11-clocks/xfce4-timer-plugin Makefile 
    x11-clocks/xfce4-timer-out-plugin Makefile 
  Log:
  Consistify spelling of "Xfce", and some other projects while there.
  Also remove a commented out BROKEN line for x11/xfce4-clipman-plugin
  
  PR:             ports/160730
  Submitted by:   ryusuke
  
  Revision  Changes    Path
  1.60      +1 -1      ports/audio/xfce4-mixer/Makefile
  1.28      +1 -1      ports/audio/xfce4-mpc-plugin/Makefile
  1.31      +1 -1      ports/deskutils/orage/Makefile
  1.45      +1 -1      ports/deskutils/xfce4-notes-plugin/Makefile
  1.3       +1 -1      ports/deskutils/xfce4-notes-plugin/pkg-descr
  1.36      +1 -1      ports/deskutils/xfce4-xkb-plugin/Makefile
  1.13      +1 -1      ports/devel/xfce4-dev-tools/Makefile
  1.22      +1 -1      ports/editors/mousepad/Makefile
  1.31      +1 -1      ports/graphics/ristretto/Makefile
  1.43      +1 -1      ports/misc/xfce4-weather-plugin/Makefile
  1.3       +1 -1      ports/misc/xfce4-weather-plugin/pkg-descr
  1.29      +1 -1      ports/misc/xfce4-wm-themes/Makefile
  1.3       +1 -1      ports/misc/xfce4-wm-themes/pkg-descr
  1.45      +1 -1      ports/multimedia/xfce4-media/Makefile
  1.42      +1 -1      ports/multimedia/xfce4-xmms-plugin/Makefile
  1.3       +1 -1      ports/multimedia/xfce4-xmms-plugin/pkg-descr
  1.15      +2 -2      ports/multimedia/xfmedia-remote-plugin/Makefile
  1.2       +1 -1      ports/multimedia/xfmedia-remote-plugin/pkg-descr
  1.22      +1 -1      ports/net-im/xfce4-messenger-plugin/Makefile
  1.3       +1 -1      ports/net-im/xfce4-messenger-plugin/pkg-descr
  1.64      +1 -1      ports/print/xfce4-print/Makefile
  1.6       +1 -1      ports/sysutils/garcon/Makefile
  1.21      +1 -1      ports/sysutils/thunar-volman-plugin/Makefile
  1.44      +1 -1      ports/sysutils/xfce4-battery-plugin/Makefile
  1.4       +1 -1      ports/sysutils/xfce4-battery-plugin/pkg-descr
  1.41      +1 -1      ports/sysutils/xfce4-cpugraph-plugin/Makefile
  1.44      +1 -1      ports/sysutils/xfce4-fsguard-plugin/Makefile
  1.36      +1 -1      ports/sysutils/xfce4-genmon-plugin/Makefile
  1.22      +1 -1      ports/sysutils/xfce4-places-plugin/Makefile
  1.15      +1 -1      ports/sysutils/xfce4-power-manager/Makefile
  1.3       +1 -1      ports/sysutils/xfce4-power-manager/pkg-descr
  1.19      +1 -1      ports/sysutils/xfce4-settings/Makefile
  1.56      +1 -1      ports/sysutils/xfce4-utils/Makefile
  1.22      +1 -1      ports/www/xfce4-smartbookmark-plugin/Makefile
  1.41      +1 -1      ports/x11-clocks/xfce4-datetime-plugin/Makefile
  1.5       +1 -1      ports/x11-clocks/xfce4-datetime-plugin/pkg-descr
  1.16      +1 -1      ports/x11-clocks/xfce4-timer-out-plugin/Makefile
  1.22      +1 -1      ports/x11-clocks/xfce4-timer-plugin/Makefile
  1.34      +1 -1      ports/x11-fm/thunar/Makefile
  1.55      +1 -1      ports/x11-themes/gtk-xfce-engine/Makefile
  1.3       +1 -1      ports/x11-themes/gtk-xfce-engine/pkg-descr
  1.16      +1 -1      ports/x11-themes/lila-xfwm4/Makefile
  1.58      +1 -1      ports/x11-toolkits/libxfce4gui/Makefile
  1.4       +1 -1      ports/x11-toolkits/libxfce4gui/pkg-descr
  1.67      +1 -1      ports/x11-wm/xfce4-desktop/Makefile
  1.63      +1 -1      ports/x11-wm/xfce4-panel/Makefile
  1.59      +1 -1      ports/x11-wm/xfce4-wm/Makefile
  1.13      +1 -1      ports/x11/libxfce4menu/Makefile
  1.2       +1 -1      ports/x11/libxfce4menu/pkg-descr
  1.46      +1 -1      ports/x11/libxfce4util/Makefile
  1.4       +1 -1      ports/x11/libxfce4util/pkg-descr
  1.53      +1 -3      ports/x11/xfce4-clipman-plugin/Makefile
  1.4       +1 -1      ports/x11/xfce4-clipman-plugin/pkg-descr
  1.17      +1 -1      ports/x11/xfce4-conf/Makefile
  1.2       +1 -1      ports/x11/xfce4-conf/pkg-descr
  1.23      +1 -1      ports/x11/xfce4-quicklauncher-plugin/Makefile
  1.30      +1 -1      ports/x11/xfce4-screenshooter-plugin/Makefile
  1.30      +1 -1      ports/x11/xfce4-taskmanager/Makefile
  1.3       +1 -1      ports/x11/xfce4-taskmanager/pkg-descr
  1.19      +1 -1      ports/x11/xfce4-verve-plugin/Makefile
  1.20      +1 -1      ports/x11/xfce4-wmdock-plugin/Makefile
  1.2       +1 -1      ports/x11/xfce4-wmdock-plugin/pkg-descr
  1.21      +1 -1      ports/x11/xfce4-xfapplet-plugin/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Ryusuke SUZUKI freebsd_committer 2011-10-29 17:34:51 UTC
----Security_Multipart(Sun_Oct_30_01_34_51_2011_924)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi,

Thanks for fixing the spelling of "Xfce".

Could you also update Makfile and pkg-descr file of x11-wm/xfce4, as originally requested?

Regards,
   Ryusuke

From: rene@FreeBSD.org
Subject: Re: ports/160730: [UPDATE] x11-wm/xfce4 update pkg-descr
Date: Wed, 26 Oct 2011 20:27:55 GMT

> Synopsis: [UPDATE] x11-wm/xfce4 update pkg-descr
>
> State-Changed-From-To: open->closed
> State-Changed-By: rene
> State-Changed-When: Wed Oct 26 20:27:40 UTC 2011
> State-Changed-Why:
> Committed, thanks
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=160730

----Security_Multipart(Sun_Oct_30_01_34_51_2011_924)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (FreeBSD)

iEYEABECAAYFAk6sKysACgkQG5rRvmPSlySgKwCfQeDbzihdFR2VwsZRkZ0w+5vw
M28An3bRKgAX5esUFRuoWAP2msZEFBHl
=lwiz
-----END PGP SIGNATURE-----

----Security_Multipart(Sun_Oct_30_01_34_51_2011_924)----